Subject: Re: [PATCH] test-string-list.c: Fix some sparse warnings

From: Michael Haggerty <[email-masked]>
Date: Mon, 17 Sep 2012 10:15:36 +0200

On 09/15/2012 06:18 PM, Ramsay Jones wrote:
> 
> In particular, sparse complains as follows:
> 
>         SP test-string-list.c
>     test-string-list.c:10:6: warning: symbol 'parse_string_list' was not \
>         declared. Should it be static?
>     test-string-list.c:18:6: warning: symbol 'write_list' was not \
>         declared. Should it be static?
>     test-string-list.c:25:6: warning: symbol 'write_list_compact' was not \
>         declared. Should it be static?
>     test-string-list.c:38:5: warning: symbol 'prefix_cb' was not \
>         declared. Should it be static?
> 
> In order to suppress the warnings, since the above symbols do not
> need more than file scope, we simply include the static modifier
> in their declaration.

Thanks for fixing this.

Is there some documentation about how to run sparse on the git codebase?
 I naively tried "make sparse" and ended up with zillions of errors like

/usr/include/unistd.h:288:54: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:294:6: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:298:6: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:306:6: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:338:18: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:347:6: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:418:36: error: attribute '__leaf__': unknown attribute
/usr/include/unistd.h:423:50: error: attribute '__leaf__': unknown attribute

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/